/*
 * OpenKropki menus
 *
 * Copyright (C) 2014-2026 Mateusz Viste
 *
 * MIT License
 */

#ifndef MENU_H_SENTINEL
#define MENU_H_SENTINEL

enum playertype_t {
  PLAYER_HUMAN,
  PLAYER_DUMBO,
  PLAYER_TIGRAN,
  PLAYER_BENDER,
  PLAYER_VIKTOR
};

#define MAINMENU_NEWGAME   1
#define MAINMENU_RESUME    2
#define MAINMENU_SETTINGS  3
#define MAINMENU_ABOUT     4
#define MAINMENU_QUIT     40

#define SETMENU_LANG       10
#define SETMENU_SHADEBASES 20
#define SETMENU_SOUND      30

/* can_resume: non-zero if a resumable game is available */
int menu_main(int can_resume, int sound);
int menu_lang(int sound);
int menu_playconf(int sound, int *playsize, enum playertype_t *p);
int menu_about(int sound);
int menu_settings(int sound, int shadebases, int lang);

#endif
